## dm-writeboost 2.1.0

=== Makefile ===
MODULE_VERSION ?= 2.1.0
DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

install:
	cp -r src $(DKMS_DIR)
	dkms add $(DKMS_KEY)
	dkms build $(DKMS_KEY)
	dkms install $(DKMS_KEY)

uninstall:
	dkms remove --all $(DKMS_KEY)
	rm -rf $(DKMS_DIR)

=== debian/changelog ===
dm-writeboost (2.1.0-1) unstable; urgency=low

  * New upstream release [August 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 04 Aug 2015 19:59:29 +1000

dm-writeboost (2.0.6-1) unstable; urgency=low

  * New upstream release [July 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 01 Aug 2015 19:16:01 +1000

dm-writeboost (2.0.5-1) unstable; urgency=medium

  * New upstream release [July 2015].
  * gbp.conf: renamed old style config section [git-dch] to [dch].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 21 Jul 2015 00:17:23 +1000

dm-writeboost (2.0.4-1) unstable; urgency=medium

  * New upstream release [July 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jul 2015 09:42:30 +1000

dm-writeboost (2.0.3-1) unstable; urgency=medium

  * New upstream release [July 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 16:37:30 +1000

dm-writeboost (2.0.1-1) unstable; urgency=medium

  * New upstream release [July 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jul 2015 12:43:29 +1000

dm-writeboost (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #787854).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 16 Jun 2015 19:00:34 +1000

## dm-writeboost 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.1.0
+MODULE_VERSION ?= 2.1.1
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.1.1-1) unstable; urgency=medium

  * New upstream release [January 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 05 Jan 2016 02:00:02 +1100

=== debian/control ===
Source: dm-writeboost
Section: kernel
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dkms
Standards-Version: 3.9.6
Homepage: https://github.com/akiradeveloper/dm-writeboost
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dm-writeboost.git
Vcs-Git: git://anonscm.debian.org/collab-maint/dm-writeboost.git

Package: dm-writeboost-dkms
Architecture: all
Depends: ${misc:Depends}
Recommends: kmod, dmsetup, writeboost
Description: log-structured caching for Linux
 dm-writeboost is an OS-level IO controller that builds logs from in-coming
 writes (data and metadata) and then writes the logs sequentially similar
 to log-structured filesystem. As a further extension, dm-writeboost
 supports read-caching which also writes data sequentially.
 .
 This package provides DKMS kernel module for Linux Kernel 3.10+.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
##export DH_VERBOSE=1

VER ?= $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m{^Version:\s*([\d.]+(?:\+git\d+|\+dfsg\d+)?)}')

%:
	dh $@ --with dkms

override_dh_auto_build override_dh_auto_install:
	@

override_dh_dkms:
	dh_dkms -V $(VER)

override_dh_install:
	dh_install src/* /usr/src/dm-writeboost-$(VER)

## dm-writeboost 2.2.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.1.1
+MODULE_VERSION ?= 2.2.3
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.3-1ubuntu1) yakkety; urgency=low

  * Fix FTBS in dkms with 4.8+ kernels (LP: #1625054).

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 21 Sep 2016 15:46:56 +0200

dm-writeboost (2.2.3-1) unstable; urgency=medium

  * New upstream release [August 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Aug 2016 22:41:47 +1000

dm-writeboost (2.2.1-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 18 Jul 2016 19:31:34 +1000

dm-writeboost (2.2.0-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 May 2016 21:26:05 +1000

dm-writeboost (2.1.2-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Mar 2016 00:16:26 +1100

## dm-writeboost 2.2.6

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.3
+MODULE_VERSION ?= 2.2.6
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.6-1~16.04.3) xenial; urgency=medium

  * Backport to xenial to support 4.11 and 4.15 kernels. (LP: #1777636)
    - 0002-ubuntu-compat-4.15.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Tue, 19 Jun 2018 09:03:22 -0300

dm-writeboost (2.2.6-1~16.04.2) xenial; urgency=medium

  * Backport to xenial to support 4.11 and 4.13 kernels. (LP: #1727334)
    - 0001-ubuntu-compat-4.13.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 27 Oct 2017 15:16:55 -0200

dm-writeboost (2.2.6-1~16.04.1) xenial; urgency=low

  * Backport to xenial to support linux-hwe 4.10 kernels.
    (LP: #1704280)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 14 Jul 2017 12:07:17 +0100

dm-writeboost (2.2.6-1) unstable; urgency=medium

  * New upstream release [September 2016].
    + fixed FTBFS with Linux 4.8 (Closes: #838547).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 22 Sep 2016 21:26:58 +1000

dm-writeboost (2.2.5-1) unstable; urgency=medium

  * New upstream release [September 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 13 Sep 2016 07:59:37 +1000

dm-writeboost (2.2.4-1) unstable; urgency=medium

  * New upstream release [August 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 28 Aug 2016 21:02:43 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: dm-writeboost
 Section: kernel
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dkms
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/akiradeveloper/dm-writeboost
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/dm-writeboost.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dm-writeboost.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dm-writeboost.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dm-writeboost.git
 
 Package: dm-writeboost-dkms
 Architecture: all

## dm-writeboost 2.2.7

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.6
+MODULE_VERSION ?= 2.2.7
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.7-1ubuntu1) artful; urgency=medium

  * Fix compilation with 4.13+ kernels (LP: #1706425).

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 01 Aug 2017 11:34:24 +0200

dm-writeboost (2.2.7-1) unstable; urgency=medium

  * New upstream release [April 2017].
  * Debhelper & compat to version 10.
  * Standards-Version to 4.0.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 Jul 2017 13:54:57 +1000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9), dkms
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), dkms
+Standards-Version: 4.0.0
 Homepage: https://github.com/akiradeveloper/dm-writeboost
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dm-writeboost.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dm-writeboost.git

## dm-writeboost 2.2.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.7
+MODULE_VERSION ?= 2.2.8
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.8-1ubuntu3~18.04.2) bionic; urgency=medium

  * Fix building for linux 4.19 (LP: #1801975)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 16 Apr 2019 23:06:11 -0300

dm-writeboost (2.2.8-1ubuntu3~18.04.1) bionic; urgency=medium

  * debian/patches/buildfix-4.17.patch
    - Update for changes to struct target_type.message prototype in
      Linux 4.17. (LP: #1773362)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 19 Nov 2018 14:45:31 -0200

dm-writeboost (2.2.8-1ubuntu2) bionic; urgency=low

  * Use READ_ONCE instead of ACCESS_ONCE. (LP: #1747004)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 08 Feb 2018 15:27:16 -0200

dm-writeboost (2.2.8-1ubuntu1) bionic; urgency=low

  * Merge from Debian (LP: #1727013). Remaining changes:
    - Adding DEP8 functional test case

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 15 Nov 2017 10:43:14 +0100

dm-writeboost (2.2.8-1) unstable; urgency=medium

  * New upstream release [October 2017].
    + fixed FTBFS with Linux 4.13+ (Closes: #877945).
  * Standards-Version: 4.1.1.
  * rules: removed call to `dpkg-parsechangelog`.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Oct 2017 03:18:42 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 10), dkms
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/akiradeveloper/dm-writeboost
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dm-writeboost.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dm-writeboost.git

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
dversionmangle=s/\+git(\d+)/$1/,\
 https://github.com/akiradeveloper/dm-writeboost/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## dm-writeboost 2.2.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.8
+MODULE_VERSION ?= 2.2.9
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.9-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Adding DEP8 functional test case
  * Fix building for linux 4.19 (LP: #1801975)
  * Fix calling dm_kcopyd_zero on linux 4.19 (LP: #1801975)

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 07 Nov 2018 20:41:49 -0200

dm-writeboost (2.2.9-1) unstable; urgency=medium

  * New upstream release [June 2018].
    + fixed build on Linux 4.15 and 4.17 (Closes: #892064).
  * Standards-Version: 4.1.4.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jun 2018 14:55:40 +1000

dm-writeboost (2.2.8-1ubuntu3) cosmic; urgency=medium

  * debian/patches/buildfix-4.17.patch
    - Update for changes to struct target_type.message prototype in
      Linux 4.17. (LP: #1773362)

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 25 May 2018 09:30:11 -0500

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 10), dkms
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Homepage: https://github.com/akiradeveloper/dm-writeboost
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dm-writeboost.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dm-writeboost.git
+Vcs-Browser: https://salsa.debian.org/debian/dm-writeboost
+Vcs-Git: https://salsa.debian.org/debian/dm-writeboost.git
 
 Package: dm-writeboost-dkms
 Architecture: all

## dm-writeboost 2.2.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.9
+MODULE_VERSION ?= 2.2.10
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 06 Feb 2019 09:37:35 +1100

dm-writeboost (2.2.10-1) unstable; urgency=medium

  * New upstream release [November 2018].
  * Debhelper & compat to version 11.
  * Standards-Version: 4.2.1.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 10 Nov 2018 11:16:06 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dm-writeboost
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10), dkms
-Standards-Version: 4.1.4
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper (>= 11~), dkms
+Standards-Version: 4.2.1
 Homepage: https://github.com/akiradeveloper/dm-writeboost
 Vcs-Browser: https://salsa.debian.org/debian/dm-writeboost
 Vcs-Git: https://salsa.debian.org/debian/dm-writeboost.git

## dm-writeboost 2.2.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.10
+MODULE_VERSION ?= 2.2.12
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.12-1) unstable; urgency=medium

  [ Paolo Pisati ]
  * Adding DEP8 functional test case.

  [ Dmitry Smirnov ]
  * New upstream release [August 2020] (Closes: #960519).
    Thanks, Paolo Pisati.
  * Standards-Version: 4.5.0; compat to v13.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 14 Sep 2020 03:40:01 +1000

## dm-writeboost 2.2.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.12
+MODULE_VERSION ?= 2.2.13
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== src/Makefile ===
KERNEL_SOURCE_VERSION ?= $(shell uname -r)
KERNEL_TREE ?= /lib/modules/$(KERNEL_SOURCE_VERSION)/build

obj-m := dm-writeboost.o
dm-writeboost-objs := \
	dm-writeboost-target.o \
	dm-writeboost-metadata.o \
	dm-writeboost-daemon.o

all:
	$(MAKE) -C $(KERNEL_TREE) M=$(PWD) modules

clean:
	$(MAKE) -C $(KERNEL_TREE) M=$(PWD) clean

=== debian/changelog ===
dm-writeboost (2.2.13-1ubuntu2) impish; urgency=medium

  * Fix Linux 5.12 build

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 01 Apr 2021 09:26:46 +0000

dm-writeboost (2.2.13-1ubuntu1) hirsute; urgency=medium

  * Fix Linux 5.11 build 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 24 Feb 2021 13:22:47 +0000

dm-writeboost (2.2.13-1) unstable; urgency=medium

  * New upstream release [November 2020].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Nov 2020 09:28:44 +1100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dm-writeboost
 Section: kernel
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 11~), dkms
-Standards-Version: 4.2.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends: debhelper-compat (= 13), dkms
+Standards-Version: 4.5.0
 Homepage: https://github.com/akiradeveloper/dm-writeboost
 Vcs-Browser: https://salsa.debian.org/debian/dm-writeboost
 Vcs-Git: https://salsa.debian.org/debian/dm-writeboost.git

=== debian/tests/control ===
Tests: test-dm-writeboost.sh
Restrictions: needs-root, isolation-machine
Depends: dm-writeboost-dkms, stress-ng, dkms, dmsetup

## dm-writeboost 2.2.15

=== debian/changelog ===
dm-writeboost (2.2.15-1) unstable; urgency=medium

  * New upstream release [May 2021].
  * watch: updated GitHub URL.
  * Standards-Version: 4.6.0.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Sep 2021 03:19:30 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: dm-writeboost
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper-compat (= 13), dkms
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/akiradeveloper/dm-writeboost
 Vcs-Browser: https://salsa.debian.org/debian/dm-writeboost
 Vcs-Git: https://salsa.debian.org/debian/dm-writeboost.git
+Rules-Requires-Root: no
 
 Package: dm-writeboost-dkms
 Architecture: all

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
dversionmangle=s/\+git(\d+)/$1/,\
 https://github.com/akiradeveloper/dm-writeboost/releases \
 .*/archive/refs/tags/v?(\d[-\d\.]+)\.tar\.gz

## dm-writeboost 2.2.16

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.13
+MODULE_VERSION ?= 2.2.15
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.16-0.1ubuntu2.1) noble; urgency=medium

  * Support Linux 6.11 (LP: #2091313)
    - linux-6.9-support-dm_io-with-IO-priority-parameter.patch
    - linux-6.10-replace-bd_inode-with-bdev_nr_sectors.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Mon, 09 Dec 2024 18:00:41 +0100

dm-writeboost (2.2.16-0.1ubuntu2) lunar; urgency=medium

  * fix typo in debian/tests/test-dm-writeboost.sh introduced with the
    previous change.

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 27 Mar 2023 18:18:52 +0200

dm-writeboost (2.2.16-0.1ubuntu1) lunar; urgency=medium

  * Skip I/O-intensive autopkgtest on small systems (LP: #2012947)

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 27 Mar 2023 14:59:33 +0000

dm-writeboost (2.2.16-0.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * New upstream release [February 2023]. (Closes: #1029261)
  * Switch to dh-sequence-dkms. (Closes: #1027870)
  * Declare Testsuite: autopkgtest-pkg-dkms.
  * Do not use deprecated dkms feature REMAKE_INITRD.
  * Update watch file.

  [ Dmitry Smirnov ]
  * updated copyright years

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Feb 2023 15:13:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,17 @@
 Source: dm-writeboost
 Section: kernel
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper-compat (= 13), dkms
-Standards-Version: 4.6.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-dkms,
+Standards-Version: 4.6.2
 Homepage: https://github.com/akiradeveloper/dm-writeboost
 Vcs-Browser: https://salsa.debian.org/debian/dm-writeboost
 Vcs-Git: https://salsa.debian.org/debian/dm-writeboost.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: dm-writeboost-dkms
 Architecture: all

=== debian/tests/control ===
Tests: test-dm-writeboost.sh
Restrictions: needs-root, isolation-machine, skippable
Depends: dm-writeboost-dkms, stress-ng, dkms, dmsetup

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
dversionmangle=s/\+git(\d+)/$1/,\
 https://github.com/akiradeveloper/dm-writeboost/tags \
 .*/archive/refs/tags/v?(\d[-\d\.]+)\.tar\.gz

## dm-writeboost 2.2.17

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.15
+MODULE_VERSION ?= 2.2.17
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.17-0.2~deb12u1) bookworm; urgency=medium

  * Non-maintainer upload.
  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Jun 2024 15:54:22 +0200

dm-writeboost (2.2.17-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix misspelled autopkgtest dependency.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 May 2024 04:21:59 +0200

dm-writeboost (2.2.17-0.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * New upstream release [May 2024]. (Closes: #1069878)
  * Update upstream metadata.
  * dkms.conf: Set BUILD_EXCLUSIVE_KERNEL_MIN="3.9".
  * Fix autopkgtest dependencies. (Closes: #1069600)

  [ Andrea Righi ]
  * Skip I/O-intensive autopkgtest on small systems (LP: #2012947)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 May 2024 09:21:27 +0200

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,4 @@
-# uscan(1) configuration file.
-version=3
+version=4
 
 opts=\
 dversionmangle=s/\+git(\d+)/$1/,\

## dm-writeboost 2.2.18

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.17
+MODULE_VERSION ?= 2.2.18
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.18-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release [November 2024].
  * Fix module build for Linux 6.12.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Dec 2024 03:55:27 +0100

dm-writeboost (2.2.17-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix module build for Linux 6.10. (Closes: #1077834)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Oct 2024 00:06:44 +0200

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+git(\d+)/$1/ \
 https://github.com/akiradeveloper/dm-writeboost/tags \
 .*/archive/refs/tags/v?(\d[-\d\.]+)\.tar\.gz

## dm-writeboost 2.2.19

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULE_VERSION ?= 2.2.18
+MODULE_VERSION ?= 2.2.19
 DKMS_DIR := /usr/src/dm-writeboost-$(MODULE_VERSION)
 DKMS_KEY := -m dm-writeboost -v $(MODULE_VERSION)

=== debian/changelog ===
dm-writeboost (2.2.19-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release [July 2025].

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 10:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dm-writeboost
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-dkms,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
##export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

VER ?= $(shell printf $(DEB_VERSION_UPSTREAM) | perl -ne 'print $$1 if m{^([\d.]+(?:\+git\d+|\+dfsg\d+)?)}')

%:
	dh $@

override_dh_auto_build override_dh_auto_install:
	@

override_dh_dkms:
	dh_dkms -V $(VER)

override_dh_install:
	dh_install src/* /usr/src/dm-writeboost-$(VER)

=== debian/tests/control ===
Tests: test-dm-writeboost.sh
Restrictions: needs-root, isolation-machine, skippable
Depends:
 dm-writeboost-dkms,
 dmsetup,
 linux-image-generic,
 linux-headers-generic,
 stress-ng,
 sudo,
